#! /usr/bin/env bash

while read PKGBUILD; do
		TMP="$(mktemp)";
		awk -F= '
				BEGIN {state=0}
				(NR > 1 && state == 0){print;if($1 == "source"){state = 1};next;}
				(state == 1){ if(match($1,"^[a-zA-Z]")){exit};print}' "$PKGBUILD" > "$TMP";
		bash -c "source $TMP; printf '%s\n' \${source[@]} | grep '^http'";
		rm "$TMP";
done
